import yaml
import io

with io.open("./testing_config.yml", 'r', encoding='utf8') as file:
    config_file = yaml.safe_load(file)

lemonbar_command = "lemonbar"

lemonbar_cmd_options = config_file['bar']['config']
for item in lemonbar_cmd_options:
    match item:
        case 'geometry':
            lemonbar_command += (" -g '" + lemonbar_cmd_options['geometry'] + "'")
        case 'bottom':
            lemonbar_command += (" -b")
        case 'force':
            lemonbar_command += (" -d")
        case 'font':
            lemonbar_command += (" -f '" + lemonbar_cmd_options['font'] + "'")
        case 'name':
            lemonbar_command += (" -n '" + lemonbar_cmd_options['name'] + "'")
        case 'line_thickness':
            lemonbar_command += (" -u " + str(lemonbar_cmd_options['line_thickness']))
        case 'bg_color':
            lemonbar_command += (" -B '" + lemonbar_cmd_options['bg_color'] + "'")
        case 'fg_color':
            lemonbar_command += (" -F '" + lemonbar_cmd_options['fg_color'] + "'")
        case 'offset':
            lemonbar_command += (" -o " + str(lemonbar_cmd_options['offset']))
        case 'line_color':
            lemonbar_command += (" -U '" + lemonbar_cmd_options['line_color'] + "'")

print(lemonbar_command)
